#ifndef __TEAM_H__
#define __TEAM_H__

#include "worldmodel.h"
#include "mrbtypes.h"

#define FORMATIONS 3
#define FORMATIONINTERVALL 50

class Team {
 protected:
  Worldmodel *world;

  int formation;
  long aCount;
  int afor;
  //two formations which are alternatly used for checking wether the
  //opponents team formations has changed
  long aNPos[2][12];
  Vector2d aSummePos[2][12];
  Vector2d aSummePosSq[2][12];
  Vector2d aPos[12];
  Vector2d aPosVar[12];

  long NPos[FORMATIONS][12];
  Vector2d SummePos[FORMATIONS][12];
  Vector2d SummePosSq[FORMATIONS][12];
 
  Vector2d TeamCOG;
  Vector2d TeamVar;
  Vector2d Pos[12];
  Vector2d PosVar[12];

 public:
  Team(Worldmodel *World);

  ~Team() {};

  void CalcTeamCOG();
  void Update();
  
  Vector2d GetPos(int PlayerNo);
  Vector2d GetVar(int PlayerNo);
  Vector2d GetaPos(int PlayerNo);
  Vector2d GetaVar(int PlayerNo);
  Vector2d GetTeamCOG() { return TeamCOG; };
  Vector2d GetTeamVar() { return TeamVar; };

  void GetDefensePlayer(int &player1, int &player2);

};

#endif
